OWIS Roadmap
This document outlines the strategic milestones and phases of the Open Workspace Intelligence Specification (OWIS) project.
Phase 12 & 13 — v0.2.0 Planning & Review
- Status: ✅ Complete
- Focus:
- RFC Governance and Review
- Security Review
- V0.2.0 Scope Lock
Phase 14 — v0.2.0 Implementation Sprint
- Status: 🚧 In Progress
- Completed:
- RFC-003 Schema Linter (
owis lint) - RFC-001 WIR Graph Model
- RFC-002 LLM Native Support (
owis context)
- RFC-003 Schema Linter (
Phase 11 — Official Release Distribution
- Status: ✅ Complete
- Goal: Public release, NPM packaging, Git tagging, and final documentation alignment for v0.1.0 baseline.
Phase 1 — Foundation
Goal: Establish project principles and architecture.
Deliverables:
- Constitution
- Documentation Architecture
- Core Architecture
- Reference Architecture
Phase 2 — Specification
Goal: Formalize system behavior.
Deliverables:
- UARS
- WIR
Phase 3 — Schema
Goal: Formalize structure.
Phase 4 — Reference Runtime
Goal: Reference implementation.
Phase 5 — CLI
Goal: Command line tool.
Phase 6 — SDK
Goal: Programmatic API.
Phase 7 — Registry
Goal: Central module registry.
Phase 8 — Certification
Goal: Validation standards.